afl-cmin(8)

NAME
afl-cmin

SYNOPSIS
Hint: install python module "tqdm" to show progress bar

OPTIONS
usage: afl-cmin.py [-h] -i dir -o dir [-f file] [-m megs] [-t msec] [-O] [-Q]
                   [-U] [-X] [--crash-dir dir] [-A] [-C] [-e] [-T WORKERS]
                   [--as_queue] [--no-dedup] [--debug]
                   /path/to/target_app [args ...]
positional arguments:
  /path/to/target_app
  args
options:
  -h, --help           show this help message and exit
Required parameters:
  -i dir               input directory with the starting corpus
  -o dir               output directory for minimized files
Execution control settings:
  -f file              location read by the fuzzed program (stdin)
  -m megs              memory limit for child process (default: none)
  -t msec              timeout for each run (default: 5000)
  -O                   use binary-only instrumentation (FRIDA mode)
  -Q                   use binary-only instrumentation (QEMU mode)
  -U                   use unicorn-based instrumentation (Unicorn mode)
  -X                   use Nyx mode
Minimization settings:
  --crash-dir dir      move crashes to a separate dir, always deduplicated
  -A                   allow crashes and timeouts (not recommended)
  -C                   keep crashing inputs, reject everything else
  -e                   solve for edge coverage only, ignore hit counts
Misc:
  -T WORKERS           number of concurrent worker (default: 1)
  --as_queue           output file name like "id:000000,hash:value"
  --no-dedup           skip deduplication step for corpus files
  --debug

AUTHOR
AFL++ was written by Michal "lcamtuf" Zalewski and is maintained by Marc "van Hauser" Heuse <mh@mh-sec.de>, Dominik Maier <domenukk@gmail.com>, Andrea Fioraldi <andreafioraldi@gmail.com> and Heiko "hexcoder-" Eissfeldt <heiko.eissfeldt@hexco.de> The homepage of AFL++ is: https://github.com/AFLplusplus/AFLplusplus

LICENSE
Apache License Version 2.0, January 2004